require "card_game/game"
require "card_game/player"
require "card_game/card"

module CardGame
    describe Game do
        
        before do
            @game = Game.new("game")
            @initial_rank = 5
            @initial_score = 150
            @moe_player = Player.new("moe",@initial_rank,0,@initial_score)
            @jim_player = Player.new("jim")
            @larry_player = Player.new("larry")
            
            @game.add_players(@moe_player)
            @game.add_players(@jim_player)
            @game.add_players(@larry_player)
            @game.play(1)
        end
        
        it "each player should have a current card from it's deck" do 
            @game.players.each do |player|
                
                case player.current_card.name.to_s
                when "giant"
                    expect(player.current_card.name.to_s).to eq("giant") 
                when "goblin"
                    expect(player.current_card.name.to_s).to eq("goblin")
                when "bowman"
                    expect(player.current_card.name.to_s).to eq("bowman")
                when "cat_burglar"
                    expect(player.current_card.name.to_s).to eq("cat_burglar")
                when "honkerdown"
                    expect(player.current_card.name.to_s).to eq("honkerdown")
                when "sniffers"
                    expect(player.current_card.name.to_s).to eq("sniffers")
                end
            end
        end
        
    end
end